#
# spec file for package python-TxSNI
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-TxSNI
Version:        0.2.0
Release:        3.9
Summary:        Python module for running a TLS server with Twisted
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/glyph/txsni
Source0:        https://github.com/glyph/txsni/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module Twisted-tls >= 14.0.0}
BuildRequires:  %{python_module pyOpenSSL >= 0.14}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Twisted-tls >= 14.0.0
Requires:       python-pyOpenSSL >= 0.14
BuildArch:      noarch
%python_subpackages

%description
This package brings support for running a TLS server with Twisted.

%prep
%setup -q -n txsni-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Jun 21 2022 Ben Greiner <code@bnavigator.de>
- Actually requires twisted[tls]: python-Twisted-tls
* Wed Mar 24 2021 Benjamin Greiner <code@bnavigator.de>
- Fix python_module usage
* Fri Apr 17 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.20.0
  * Support new OpenSSL
  * Test ALPN and NPN separately.
  * Switch cert_builder from print to twisted.logger.
- Drop unneeded openssl111.patch
* Tue Jun  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to fix build with new openssl:
  * openssl111.patch
* Mon Feb 11 2019 Jan Engelhardt <jengelh@inai.de>
- Fix broken grammar.
* Mon Feb 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- This is noarch pkg so mark it as such
* Thu Feb  7 2019 ecsos@opensuse.org
- initial version 0.1.9
